Bug 1027829 - Testsuite test main.gis-precise is failing on ppc %{power64} s390 s390x aarch64
Summary: Testsuite test main.gis-precise is failing on ppc %{power64} s390 s390x aarch64
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: mariadb
Version: 7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Honza Horak
QA Contact: Karel Volný
URL:
Whiteboard:
Depends On:
Blocks: 1357680 1400961
TreeView+ depends on / blocked
 
Reported: 2013-11-07 12:46 UTC by Branislav Blaškovič
Modified: 2017-10-18 04:12 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2017-08-01 19:39:08 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1465481 unspecified CLOSED Test case failure: /CoreOS/mariadb55/testsuite - perfschema.func_file_io / aarch64 2020-10-14 00:28:05 UTC
Red Hat Product Errata RHSA-2017:2192 normal SHIPPED_LIVE Moderate: mariadb security and bug fix update 2017-08-01 18:18:36 UTC

Internal Links: 1465481

Description Branislav Blaškovič 2013-11-07 12:46:08 UTC
Description of problem:
Testcase main.gis-precise from testsuite (mariadb-test package) is failling on s390x

Version-Release number of selected component (if applicable):
mariadb-test-5.5.32-10.el7.s390x

Steps to Reproduce:
1. Run /usr/share/mysql-test/mysql-test-run main.gis-precise

Actual results:
Failure: Failed 1/1 tests, 0.00% were successful.
Failing test(s): main.gis-precise


Expected results:
No failures

Comment 2 Honza Horak 2013-11-08 12:05:47 UTC
This is a known bug already spotted in bug #906746 and thus it is disabled now in a test-suite run during build.

Upstream report is here:
https://mariadb.atlassian.net/browse/MDEV-4153

So let's keep this bug open to track that issue.

Some more light on what is wrong there:

Test case gis-precise fails on ppc, ppc64, s390 and s390x platforms. Generally, some integer values are not print as integers again, but as a very similar real number.

The minimal reproducer can be:

select astext(ST_UNION(GeomFromText('POLYGON((0 0, 50 45, 40 50, 0 0))'), GeomFromText('LINESTRING(-10 -10, 200 200, 199 201, -11 -9)')));

This has the following output on x86_64:

GEOMETRYCOLLECTION(LINESTRING(-10 -10,0 0),LINESTRING(-11 -9,8 10),POLYGON((0 0,40 50,50 45,0 0)),LINESTRING(46.666666666666664 46.666666666666664,200 200,199 201,45.33333333333333 47.33333333333333))

but on other arches:

GEOMETRYCOLLECTION(LINESTRING(-10 -10,0 0),LINESTRING(-11 -9,7.999999999999999 10),POLYGON((0 0,40 50,50 45,0 0)),LINESTRING(46.666666666666664 46.666666666666664,200 200,199 201,45.33333333333333 47.33333333333333))

Comment 3 Honza Horak 2013-11-15 13:33:45 UTC
This issue is caused by different precision on different arches, which shouldn't have any consequences in practice. Setting Devel Cond NAK unless we have an idea how to solve this.

Comment 4 Honza Horak 2013-12-12 14:13:20 UTC
Moving to RHEL-7.1. We would like to fix this but even upstream doesn't know how. It's probably matter of test suite only; no serious issues should be encountered while usage, since a little different precision is common on different architectures.

Comment 5 Marcin Juszkiewicz 2014-01-09 11:39:53 UTC
Same issue on AArch64.

Comment 7 Menanteau Guy 2014-05-07 11:51:48 UTC
Same issue on ppc64le

Comment 9 Honza Horak 2016-12-05 11:45:04 UTC
The test above passed during last build (fixed upstream).

Comment 11 Honza Horak 2017-03-23 15:23:25 UTC
Removing CondNAK and providing devel_ack+. Vasku, can you, please, provide qe_ack+? It's fixed upstream anyway, so it's more for the sake of adding the bug to erratum.

Comment 12 Karel Volný 2017-03-24 10:22:49 UTC
I'm not Vašek and I'm not providing qe_ack but rather qa_ack, but hope I've satisfied you anyways :-)

Comment 18 errata-xmlrpc 2017-08-01 19:39:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2192


Note You need to log in before you can comment on or make changes to this bug.